For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Attachment object
          • GET/attachments
          • POST/attachments
          • GET/attachments/{id}
          • GET/attachments/meta/post
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsAttachments

/attachments/{id}

GET
/ats/v1/attachments/:id
GET
/api/ats/v1/attachments/:id
$curl -G https://api.merge.dev/api/ats/v1/attachments/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d expand=candidate \
> -d remote_fields=attachment_type \
> -d show_enum_origins=attachment_type
200Retrieved
1{
2 "id": "c640b80b-fac9-409f-aa19-1f9221aec445",
3 "remote_id": "11167",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "file_name": "Candidate Resume",
7 "file_url": "http://alturl.com/p749b",
8 "candidate": "2872ba14-4084-492b-be96-e5eee6fc33ef",
9 "attachment_type": "RESUME",
10 "remote_was_deleted": true,
11 "field_mappings": {
12 "organization_defined_targets": {
13 "custom_key": "custom_value"
14 },
15 "linked_account_defined_targets": {
16 "custom_key": "custom_value"
17 }
18 },
19 "remote_data": [
20 {
21 "path": "/attachments",
22 "data": null
23 }
24 ]
25}

Returns an Attachment object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/attachments

Next

/attachments/meta/post

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

remote_fieldsenumOptional

Deprecated. Use show_enum_origins.

Allowed values:
show_enum_originsenumOptional
A comma separated list of enum field names for which you'd like the original values to be returned, instead of Merge's normalized enum values. [Learn more](https://help.merge.dev/en/articles/8950958-show_enum_origins-query-parameter)
Allowed values:

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
file_namestring or null
The attachment's name.
file_urlstring or nullformat: "uri"<=2000 characters
The attachment's url.
candidatestring or nullformat: "uuid"
attachment_typeenum or null

The attachment’s type.

  • RESUME - RESUME
  • COVER_LETTER - COVER_LETTER
  • OFFER_LETTER - OFFER_LETTER
  • OTHER - OTHER
Allowed values:
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only

A comma separated list of enum field names for which you’d like the original values to be returned, instead of Merge’s normalized enum values. Learn more